aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorKonstantin Aladyshev <aladyshev22@gmail.com>2021-07-18 20:25:46 +0300
committerKonstantin Aladyshev <aladyshev22@gmail.com>2021-07-18 20:25:46 +0300
commitc925f40c2ad6f5e4d7a97eab30ca168ca4e62596 (patch)
treea7c8da34e7a43f912657380002b4dfc4a59677c2 /scripts
parent88429e84dac6a5fb590c6e8e39d60536edda8485 (diff)
downloadUEFI-Lessons-c925f40c2ad6f5e4d7a97eab30ca168ca4e62596.tar.gz
UEFI-Lessons-c925f40c2ad6f5e4d7a97eab30ca168ca4e62596.tar.bz2
UEFI-Lessons-c925f40c2ad6f5e4d7a97eab30ca168ca4e62596.zip
Update 'run_gdb.sh' script
Signed-off-by: Konstantin Aladyshev <aladyshev22@gmail.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run_gdb.sh8
1 files changed, 7 insertions, 1 deletions
diff --git a/scripts/run_gdb.sh b/scripts/run_gdb.sh
index a5ba6af..1683c60 100755
--- a/scripts/run_gdb.sh
+++ b/scripts/run_gdb.sh
@@ -9,7 +9,7 @@ function show_help {
echo "Description:"
echo " run_gdb.sh is a script that helps to debug UEFI shell applications and drivers"
echo ""
- echo "Usage: run_gdb.sh [-1|-f] -m <module>"
+ echo "Usage: run_gdb.sh -m <module> [-1|-f|-p <package>|-q <dir>]"
echo " -1 This is a first run of this configuration"
echo " (in this case before main gdb launch there would be another QEMU start that will create 'debug.log' file)"
echo " -f Load all debug symbols"
@@ -63,6 +63,12 @@ else
DRIVERS=${TARGET}
fi
+if [[ -z $TARGET ]]; then
+ echo "Error! Module is not provided."
+ echo ""
+ show_help
+ exit 1
+fi
function test_file {
FILE_NAME=$1